### Method

# GLib MatchInfo fetch_named

since: 2.14

#### Declaration [src]

    gchar*
    g_match_info_fetch_named (
      const GMatchInfo* match_info,
      const gchar* name
    )

#### Description [src]

Retrieves the text matching the capturing parentheses named `name`.

If `name` is a valid sub pattern name but it didn’t match anything (e.g. sub pattern `"X"`, matching `"b"` against `"(?P<X>a)?b"`) then an empty string is returned.

The string is fetched from the string passed to the match function, so you cannot call this function after freeing the string.

Available since: 2.14

#### Parameters

`name`

  Type: `const gchar*`

  Name of the subexpression.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The matched substring, or `NULL` if an error occurred. You have to free the string yourself.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.